Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jxunit
Class JXProperties

    java.lang.Object
      |
      +--java.util.AbstractMap
            |
            +--java.util.HashMap
                  |
                  +--net.sourceforge.jxunit.JXProperties

All Implemented Interfaces:
  Cloneable, Map, Serializable

public class JXProperties
extends HashMap

See Also:
  Serialized Form

Inner classes inherited from class java.util.Map
`Map.Entry`

Field Summary
`JXTestCase` | `testCase`

Constructor Summary
`JXProperties()`
`JXProperties(JXTestCase testCase)`
`JXProperties(Map m)`

Method Summary
`String` | `expressValue(String name, QDoc schemaDoc)`
`String` | `expressValue(String name, QDoc schemaDoc, String fileUrl)`
`String` | `getString(String name)`
`String` | `getStringValue(String name, String schema, String schemaClass)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### testCase

    public JXTestCase testCase

Constructor Detail

### JXProperties

    public JXProperties()

### JXProperties

    public JXProperties(Map m)

### JXProperties

    public JXProperties(JXTestCase testCase)

Method Detail

### getString

    public String getString(String name)

### expressValue

    public String expressValue(String name,
                               QDoc schemaDoc,
                               String fileUrl)
                        throws Throwable

### expressValue

    public String expressValue(String name,
                               QDoc schemaDoc)
                        throws Throwable

### getStringValue

    public String getStringValue(String name,
                                 String schema,
                                 String schemaClass)
                          throws Throwable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD